# Wordchoice Command-Line Tool
[![Build Status](https://travis-ci.org/vmchale/wordchoice.svg?branch=master)](https://travis-ci.org/vmchale/wordchoice)

## Usage

The following will print the 10 most used words *and* output a bar graph
showing the distribution of those 10 words.

```bash
 $ wordchoice test/ulysses.txt -n10 -o distribution.html
 13609: the
 8134: of
 6550: and
 5841: a
 4788: to
 4619: in
 3034: his
 2712: he
 2431: I
 2391: with
```

## Installation

### Manual

Download the binaries from the [release
page](https://github.com/vmchale/wordchoice/releases) for 64-bit Linux, ARM
Linux, and 64-bit Windows.

### Nix

Install [nix](https://nixos.org/nix/), then type:

```bash
nix-env -i
```

to download the package for Mac or Linux.

### Stack

Install stack, following instructions 
[here](https://docs.haskellstack.org/en/stable/README/). Then:

```bash
 $ stack install wordchoice
```

You might need to do a `stack setup` first. 

### Build

To build this repo, simply type:

```bash
 $ stack install
```

or

```bash
 $ cabal new-build
```

in the `wordchoice/` directory.
